#!/bin/sh -x

test -e $1 || ( echo echo "Usage: $0 image.qcow2" ; exit 1 )

image=$1

test -e $image.pid && kill `cat $image.pid` 

running=`ps ax | grep kvm-nbd | grep -v grep | wc -l`
port=`expr 10000 + $running`

kvm-nbd --port $port $image &
echo $! > $image.pid

sleep 1

nbd-client localhost $port /dev/nbd$running || exit

fdisk -l /dev/nbd$running

fdisk -l /dev/nbd1 | grep ^/dev/nbd | cut -d" " -f1 | sed 's!/dev/!!' | xargs -i sh -x -c "mkdir -p /mnt/$image/{} ; mount -v /dev/{} /mnt/$image/{}"

df -h /mnt/$image/*
